Subject: Re: FVWM: colors, etc...

From: Chad Fors <[email-masked]>
Date: Thu, 04 Jun 1998 16:44:18 -0500

Neil

The colors are given in RGB (Red Green Blue) format, written in hexadecimal
(base 16).  Split the numbers into 3 sets of two and use a calculator that
does hex-to-decimal conversion to convert each 2 digit hex number to decimal
format.  This will give you 3 numbers, each from 0-255.  This should map to
showrgb numbers.

Or, to make things a lot simpler, I believe that you can use the name of the
color as given in the showrgb command in place of the hex number itself.

Hope this helps.

-chad

Neil Zanella wrote:

>  Hi,
>
> Is there anything besides the sample config file and the man
> pages that will explain how to customize a window manager such as fvwm?
>
> I in my .fvwmrc in the "set up the colors" section there is stuff like
>
> HiBackColor            #c06077
>
> StdBackColor           #60a0c0
>
> etc ...
>
> I know how to use the showrgb command and use the xcolors program to see
> the various colors but I don't know how to interpret these alphanumeric
> codes for colors nor do I know where to find a more complete list than
> that given by showrgb, nor do I know what the numbers on the left are when
> I give the showrgb command.
>
> Any help is appreciated,
>
> Thanks,
>
> Neil Zanella
> [email-masked]
>
> --
> Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
> To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
> message to [email-masked].
> To report problems, send mail to [email-masked].

--
-Chad Fors
     Phone   (847)632-5270
     Maildrop  IL27 / 2-E5

---

From: Neil Zanella <[email-masked]>
Date: Thu, 4 Jun 1998 20:38:07 -0230 (NDT)

On Thu, 4 Jun 1998, Chad Fors wrote:

Thanks,

The problem with the color names given as output to the showrgb command is
that unfortunately not every color has a name so the list is incomplete in 
that sense.

Neil

---

From: Pete Forman <[email-masked]>
Date: Fri, 5 Jun 1998 08:52:02 +0100

Neil Zanella writes:
 > The problem with the color names given as output to the showrgb
 > command is that unfortunately not every color has a name so the
 > list is incomplete in that sense.

That is deliberate.  The number of colors in use is limited, typically
to 256.  A shorter list of color names encourages sharing of colors
between applications.

BTW the #RGB style of color specification is deprecated.  Numeric
specification of colors should be done with something like rgb:.
See the man page for XParseColor or a book on X11 such as the Xlib
Programming Manual.
-- 
Pete Forman
Western Geophysical
[email-masked]
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Neil Zanella <[email-masked]>
Date: Fri, 5 Jun 1998 09:50:25 -0230 (NDT)

> to 256.  A shorter list of color names encourages sharing of colors

What is it that limits the number of colors to 256? I guess you are 
referring to the video card. If I am correct you can configure some video 
cards to allow for 56K colors (true color). This is somehow less much less 
than 256^3 which is the total number of possibilities for RGB colors.

Thanks,

Neil

---

From: "David Jones" <[email-masked]>
Date: Fri, 5 Jun 1998 08:36:17 -0400

On Jun 5,  9:50am, Neil Zanella wrote:
> Subject: Re: FVWM: colors, etc...
>
>

It's the video card, the amount of video RAM and the X driver that limits you
to 256 colours (or 8 bit depth as it's called). Look in your XF86Config file
for details (assuming that you're using XFree86).

BTW true colour is not 56k colors, 8-bit depth gives 256 colours, 16-bit depth
gives 65536 colours, while 24-bit depth gives the full range of 16 million
colours (in 24-bit depth, there are 8 bits available for each red, green or
blue component, and of course 2**8 = 256).

-- 
=================================================================

Any views, opinions, facts etc. expressed within this mailing are 
totally mine, and do not necessarily reflect those of my employer.

David Jones
-----------

CFD Methods R & D Group          Phone:    (416) 375 3492
Bombardier Aerospace,            Fax:      (416) 373-7361
Garratt Blvd, Downsview.
Ontario, CANADA M3K 1Y5          Internet: [email-masked]

Personal Web site: http://www.geocities.com/TheTropics/6313

=================================================================